%define upstream_name	 Bot-BasicBot
%define upstream_version 0.89

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A simple IRC bot base class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TO/TOMI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IRC::Utils)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::IRC) >= 6.620.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
A basic bot system written in Perl, designed to make it easy to do simple bots,
optionally forking longer processes (like searches) concurrently in the
background.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some backup files leaked, removing them
#find . -name "._*" | xargs rm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests try to connect to internet
#%make test

%install
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE META.json META.yml README examples
%{perl_vendorlib}/Bot/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.890.0-2.mga3
+ Revision: 363371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.890.0-1.mga2
+ Revision: 172079
- update to 0.89

  + jquelin <jquelin>
    - update to 0.88

* Fri Jun 17 2011 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 108816
- update to 0.87

* Mon Apr 04 2011 jquelin <jquelin> 0.860.0-1.mga1
+ Revision: 80315
- update to 0.86

* Mon Jan 24 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 37396
- mageia rebuild
- imported package perl-Bot-BasicBot

